// Icinga Web 2 Cube Module | (c) 2016 Icinga GmbH | GPLv2

.controls > a {
  color: @icinga-blue;

  &:hover::before {
    text-decoration: none;
  }
}

div.cube {
  div.cube-dimension0 > .header {
    font-size: 1.2em;
    font-weight: bold;
    border-bottom: 1px solid @text-color;
  }

  div.cube-dimension1 {
    clear: both;
    border-left: 0.5em solid transparent;
  }

  div.cube-dimension1 > .header,
  div.cube-dimension2 {
    display: inline-block;
    width: 10em;
    height: 10em;
    margin: 0;
    padding: 0.2em;
    margin-top: 0.3em;
    overflow: hidden;
  }

  div.cube-dimension1 > .header {
    display: flex;
    float: left;
    font-weight: bold;
    text-align: center;
    padding-left: 0;

    > a:first-child {
      flex: 1;
      max-width: 8em;
      word-wrap: break-word;
    }
  }

  div.cube-dimension2 {
    > .header {
      display: flex;
      text-align: center;
      color: @text-color-on-icinga-blue;
      margin-bottom: 1em;

      > a:first-child {
        flex: 1;
        max-width: 8em;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
      }
    }

    background: @color-ok;

    &.critical {
      background: @color-critical;
    }

    &.warning {
      background: @color-warning;
    }

    &.unknown {
      background: @color-unknown;
    }

    &.unreachable {
      background: @color-unreachable;
    }

    &.ok {
      background: @color-ok;
    }

    > .body {
      text-align: center;
    }
  }

  span.critical, span.warning, span.unknown, span.unreachable, span.ok {
    display: inline;
    border-radius: 0.1em;
    padding: 0.05em 0.2em;
    color: @text-color-on-icinga-blue;
    font-size: 3em;
  }

  span.ok {
    background: @color-ok;
  }

  .others {
    display: flex;
    justify-content: center;
    span {
      margin-left: 0.2em;
      margin-top: 0.8em;
      font-size: 1em;
    }
  }

  span.critical {
    background: @color-critical;
  }

  span.critical.handled {
    background: @color-critical-handled;
  }

  div.cube-dimension0.critical > .header {
    color: @color-critical;
    border-color: @color-critical;
  }

  div.cube-dimension1.critical {
    border-left-color: @color-critical;

    &.handled {
      border-left-color: @color-critical-handled;
    }
  }

  div.cube-dimension2.critical {
    span.sum {
      font-size: 1em;
    }
  }

  span.warning {
    background: @color-warning;
  }

  span.warning.handled {
    background: @color-warning-handled;
  }

  div.cube-dimension0.warning > .header {
    color: @color-warning;
    border-color: @color-warning;
  }

  div.cube-dimension1.warning {
    border-left-color: @color-warning;

    &.handled {
      border-left-color: @color-warning-handled;
    }
  }

  div.cube-dimension2.warning {
    span.sum {
      font-size: 1em;
    }
  }

  span.unknown{
    background: @color-unknown;
  }

  span.unknown.handled {
    background: @color-unknown-handled;
  }

  div.cube-dimension0.unknown > .header {
    color: @color-unknown;
    border-color: @color-unknown;
  }

  div.cube-dimension1.unknown {
    border-left-color: @color-unknown;

    &.handled {
      border-left-color: @color-unknown-handled;
    }
  }

  div.cube-dimension2.unknown {
    span.sum {
      font-size: 1em;
    }
  }
}

span.unreachable{
  background: @color-unreachable;
}

span.unreachable.handled {
  background: @color-unreachable-handled;
}

div.cube-dimension0.unreachable > .header {
  color: @color-unreachable;
  border-color: @color-unreachable;
}

div.cube-dimension1.unreachable {
  border-left-color: @color-unreachable;

  &.handled {
    border-left-color: @color-unreachable-handled;
  }
}

div.cube-dimension2.unreachable {
  span.sum {
    font-size: 1em;
  }
}

fieldset.dimensions {
  margin: 0;
  padding: 0;

  span {
    min-width: 18em;
    display: inline-block;
  }

  button[type=submit] {
    border: none;
    color: @text-color;
    background: none;

    padding-left: .75em;
    padding-right: .75em;

    i:before {
      margin-right: 0;
    }

    &:not([disabled]):hover {
      .rounded-corners();
      background-color: @icinga-blue;
      color: @text-color-on-icinga-blue;
    }
  }

  button[type=submit][disabled] {
    color: @disabled-gray;
    background-color: @body-bg-color;
    cursor: auto;
  }

  &:first-of-type button[type=submit]:nth-of-type(2) {
    margin-left: 2.75em;
  }

  &:not(:first-of-type) {
    button[type=submit]:nth-of-type(2):last-of-type {
      margin-right: 2.75em;
    }
  }

  &:last-of-type {
    margin-bottom: 0.5em;
  }
}

.dimension-name {
  font-weight: bold;
  margin-left: 1em;
}

ul.action-links {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

ul.action-links {
  li {
    margin: 0;
    padding: 0;
    float: left;
    display: inline-block;
    width: 18em;
    height: 10em;
    overflow: hidden;
  }

  li.error {
    background-color: @color-critical;
    color: @text-color-on-icinga-blue;
    padding: 1em;
    font-weight: bold;
    text-align: center;
  }

  a {
    width: 100%;
    height: 100%;
    padding: 0.5em 1em;
    display: block;
    text-decoration: none;
    color: @gray;

    .title {
      margin-left: 5em;
      font-weight: bold;
      color: @link-color;
    }

    p {
      margin-left: 5em;
    }

    i {
      position: absolute;
      font-size: 3em;
      display: inline-block;
    }
    &:hover {
      background: @tr-hover-color;
      text-decoration: none;
    }
  }
}

/** Form **/

.content form {
  margin-bottom: 2em;
}

form button[type=submit] {
  margin-top: 0.5em;
}

select {
  width: 100%;
}
